Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Srinivas Kandagatla <[email-masked]>
Date: Tue, 15 Jun 2021 10:04:43 +0100

Many Thanks Stephen for reporting this,

I can see that two symbols have been interdependent, I have a fix for 
this, will send it today.

--srini

On 15/06/2021 08:32, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the sound-asoc tree, today's linux-next build (x86_64
> modules_install) failed like this:
> 
> depmod: ERROR: Cycle detected: snd_soc_wcd938x -> snd_soc_wcd938x_sdw -> snd_soc_wcd938x
> depmod: ERROR: Found 2 modules in dependency cycles!
> 
> Caused by commit
> 
>    045442228868 ("ASoC: codecs: wcd938x: add audio routing and Kconfig")
> 
> (at least reverting the commit fixes the build).
> 
> I have reverted that commit for today.
>